Start Page

Welcome! Thanks for using Total .NET Analyzer. We hope that it helps you in your .NET Development efforts. This help file is designed to provide you with the information you need to get up and running quickly.

Key Topics

  • Introducing Total .NET Analyzer

  • Key Features and Benefits

  • Performing Analysis

  • Using the Rule Editor

  • Troubleshooting

More .NET Products to Help You

Visit www.fmsinc.com/dotnet for the latest information on our complete line of .NET Developer solutions. Get up-to-date product information, tips and tricks, or subscribe to our email newsletter for .NET development.

Contact FMS

www.fmsinc.com
For more information: info@fmsinc.com
Technical Support: support@fmsinc.com
Product Updates: www.fmsinc.com/free/updates


Introducing Total .NET Analyzer

Total .NET Analyzer is an add-in to Visual Studio .NET that provides real-time analysis of Visual Basic .NET and C# code. Use Total .NET Analyzer to find bugs, performance problems, and standards violations before you deploy your application.

See also

  • Key Features and Benefits

  • Use Total .NET Analyzer Every Step of the Way

  • How Total .NET Analyzer Integrates With Visual Studio .NET


Key Features and Benefits

Issues Detected

Total .NET Analyzer increases the quality and performance of your C# and Visual Basic .NET applications by detecting coding errors. Total .NET Analyzer includes rules to:

Improve Performance

  • Detect "Dead code" that has no effect on the application’s functionality, but uses system resources and detrimentally affects performance.

  • Find fields and variables whose scope can be tightened to optimize performance.

  • Find non-optimal arrays.

  • Detect references to inefficient legacy Visual Basic functions.

  • Discover where the StringBuilder class can be used to increase performance.

  • Detect inefficient boxing and unboxing operations.

Adopt Visual Studio .NET Coding Techniques

  • Find references to the Visual Basic Runtime library, which do not take advantage of the .NET framework and are not portable to other languages.

  • Detect legacy Visual Basic error handling, which does not take advantage of Visual Studio .NET's structured exception handling and is not portable to other languages.

Simplify Code Management

  • Find standards violations to improve code readability and sharing code or libraries.

  • Detect unnecessary code, which can be removed to make the code easier to understand and maintain.

And much more!

  • See the Rule Editor for a complete list of rules.

Program Features

Total .NET Analyzer is designed to be easy to use and customize, and to suit your Visual Studio .NET development needs. The product includes the following powerful features:

  • Designed Exclusively for Visual Studio .NET Developers.
    Total .NET Analyzer is written in 100% managed C#, and was designed from the ground up to be completely integrated with Visual Studio .NET and SourceSafe. With lightning-fast project parsing, a powerful list view and issue report, code analysis is now easy and accurate.

  • Supports Visual Basic .NET and C# code.

  • Integrated in the VS.NET IDE with results in a tab window.
    You don’t have to leave Visual Studio to perform Analysis. Total .NET Analyzer appears as a toolwindow right in the IDE.

  • Real-time analysis means immediate analysis and results.
    Built on our integrated .NET parser, Total .NET Analyzer parses your entire project in the background, and quickly pinpoints where issues occur.

  • Options to specify which rules to detect.
    The Rule Editor allows you to customize the analysis that is performed to suit your own needs. Turn rules on/off, modify rule severity and category, and add notes to individual rules.

  • Output results to reports
    You can send the entire contents of the Total .NET Analyzer list to a report at the click of a button.

See also

  • Introducing Total .NET Analyzer

  • Use Total .NET Analyzer Every Step of the Way

  • How Total .NET Analyzer Integrates With Visual Studio .NET


Why Use Total .NET Analyzer?

Use Total .NET Analyzer Every Step of the Way

Analysis is an essential part of application development and maintenance. As your applications grow, objects, properties, and code become increasingly complex and difficult to understand. Without a consistent, automated analysis tool, developing and maintaining programs becomes a major chore. Total .NET Analyzer is designed to reduce and eliminate many of the tedious and difficult parts of development. Use Total .NET Analyzer during every step of the way:

Developing New Applications

Total .NET Analyzer can improve the development process from the start! The sooner you start analyzing your applications, the sooner you can start correcting issues and implementing "best practices." It’s much easier to do it right the first time around than it is to change applications that have already been deployed. Plus, Total .NET Analyzer helps you learn along the way by offering suggestions for improvements.

Maintaining Existing Applications

Total .NET Analyzer can help you understand and improve existing applications. Total .NET Analyzer is quick, and its results can be viewed directly in your .NET solution. Just click, and you’re taken to the location of the issue!

See also

  • Introducing Total .NET Analyzer

  • Key Features and Benefits

  • How Total .NET Analyzer Integrates With Visual Studio .NET


How Total .NET Analyzer Integrates With Visual Studio .NET

We have designed Total .NET Analyzer to be simple enough to use every time you use Visual Studio .NET. To meet this goal, we have aimed to organize the product’s features in a way that doesn’t interfere with other parts of your IDE. All functionality is accessible from one toolwindow that can be docked or undocked just like any Visual Studio .NET toolbar.

See also:

  • Launching the Program

  • Understanding the Parser


Understanding the Parser

Total .NET Analyzer is able to analyze code so quickly because it includes a parser that reads all code files in your project or solution. In order to make the Total .NET Analyzer product as responsive as possible, the parser runs in the background, gathering information as you type.

Under normal circumstances, this background process should have very little effect on your running instance of Visual Studio .NET. However, on slow computers, or systems with a low amount of available memory, the parser may cause Visual Studio .NET to have momentary pauses as you work with it.

Parsing Saves Changes

When you invoke the Total .NET Analyzer program to analyze your code, it saves all unsaved work in all open windows. This is the same behavior that Visual Studio .NET uses when you build a project. Note that saving changes (whether you do it explicitly or Total .NET Analyzer does it) does not affect the undo buffer. In other words, you can still use Undo in Visual Studio .NET after saving a file.

Disabling the Parser

If you are working on a slow or low memory computer with Visual Studio .NET, you may want to disable the parser so it is not using any CPU time. Note that if you disable the parser, Total .NET Analyzer (and other FMS .NET products) will not run. You should consider disabling the parser only in situations where the parser causes your IDE performance to be noticeably slow.

To disable the parser, follow these steps:

  1. Close any open instances of Visual Studio .NET.

  2. Open the registry editor (RegEdit.exe).

  3. Navigate to HKEY_LOCAL_MACHINE\SOFTWARE\FMS\FMS.Sage.

  4. Create a DWORD key named Load.

  5. Set the value to 0.

  6. Restart Visual Studio .NET.

The parser is now deactivated. To re-enable the parser, set the Load value to 1.

See also

  • Launching the Program


Visit our Web Site

FMS is constantly developing new and better developer solutions. Total .NET Analyzer is part of our complete line of products designed specifically for the .NET developer. Please take a moment to visit us online at www.fmsinc.com/dotnet to find out about new products and updates.

Product Announcements and Press Releases

Read the latest information on new products, new versions, and future products. Press releases are available the same day they are sent to the press. Sign up in our Feedback section to have press releases automatically sent to you via email.

Product Descriptions and Demos

Detailed descriptions on all our products are available. Each product has its own page with information on features and capabilities. Demo versions of several of our products are also available.

Product Registration

Register your copy of Total .NET Analyzer on-line. Be sure to select the email notification option so you can be contacted when updates are available or news is released. You must be registered to receive technical support.

Product Updates

FMS is committed to quality software. When we find problems in our products, we fix them and post the new builds on our web site. Check our Product Updates page in the Technical Support area for the latest build.

Utilities and Free Software

Download free demos and utilities, including add-ins and developer tools.

Technical Papers

FMS personnel often speak at conferences and write magazine articles, papers, and books. Copies and portions of this information are available to you online. Learn about our latest ideas and tricks for using Visual Studio .NET more effectively.

Newsgroups

Share your experiences, learn from others, and ask your questions in our virtual community. Visit our newsgroups at:

www.fmsinc.com/support/newsgrp.htm

Or see our web site for additional instructions.

Links to Other Development Sites

Jump to other locations, including newsgroups, user group home pages, and other sites with Visual Studio .NET news, techniques, and related services.


System Requirements

Total .NET Analyzer has the following system requirements:

  1. Microsoft Visual Studio .NET.

  2. Approximately 3 MB Free Disk Space.

  3. Microsoft Windows 2000 Professional, Windows 2000 Server, Windows 2000 Advanced Server, Windows XP Professional, or Windows NT 4. Total .NET Analyzer is not supported under Windows 95, 98, or ME.

  4. PC with a Pentium II-class processor, 450 MHz minimum. Pentium III-class processor, 800 MHZ recommended.

  5. A minimum of 192 MB of RAM (more is always better).

See also:

  • Installing the Program


Installing the Program

Total .NET Analyzer is installed using an automated Windows Installer setup program. Generally, all you have to do is run setup, specify some values, and you’re done. This section contains complete information on installing and uninstalling the program.

To install Total .NET Analyzer, follow these steps:

  1. Locate the setup program you obtained from FMS or one of its resellers.

  2. Run the setup program.

  3. Enter your registration information, including your product key.

  4. Specify the destination directory for the files.

  5. Be sure to read the README.HTM file for any late breaking news that is not included in this User Guide.

See also

  • System Requirements

  • Check for Updates

  • Uninstalling the Program

  • Launching the Program


Check for Updates

After Installing the Program, you should check the FMS site to see if any product updates are available. To do this, visit:

www.fmsinc.com/support

And visit the product updates section.


Uninstalling the Program

If you need to uninstall Total .NET Analyzer, follow these steps:

  1. From the Windows Start Menu, select Control Panel.

  2. From the Control Panel window, select Add/Remove Programs.

  3. Select Total .NET Analyzer from the list of installed programs.

  4. Press the Change/Remove button.

  5. Follow the onscreen prompts.

See also:

  • Installing the Program


Launching the Program

When you install Total .NET Analyzer and run Visual Studio .NET, the add-in is automatically loaded into the IDE and the Total .NET Analyzer toolwindow appears. With this default behavior, you do not need to open or start the product—it is automatically loaded whenever you start Visual Studio .NET.

If the toolwindow is not open, one of the following conditions is true:

  • The toolwindow was explicitly closed (using the [X] close button).

  • The product’s add-in load status has been changed from its default value of "Startup" (see Changing Add-In Settings below for details).

If the toolwindow is not open, select Tools, FMS Total .NET Suite, Total .NET Analyzer, Show Window from the Visual Studio .NET menu.

Changing Add-In Settings

Total .NET Analyzer is implemented as an add-in to Visual Studio .NET. You can change the program’s load behavior by using the Visual Studio .NET add-in manager. To open this manager, select Tools, Add-In Manager from the Visual Studio .NET menu.

Figure 3.1 - Visual Studio .NET Add-in Manager

To tell Visual Studio .NET to load Total .NET Analyzer every time it starts, check the Startup checkbox. If you do not want this auto load behavior, uncheck Startup.

See also

  • How Total .NET Analyzer Integrates With Visual Studio .NET

  • The Toolwindow

  • Performing Analysis


The Toolwindow

The Total .NET Analyzer toolwindow contains most of the program’s functionality. The toolwindow shows you a list of errors, suggestions, performance tips, and standards, and allows you to manage this list:

Figure 3.2 - The Total .NET Analyzer Toolwindow

Moving and Docking the Toolwindow

The first time you start Visual Studio .NET after installing Total .NET Analyzer, the toolwindow appears in undocked mode. You can move the toolwindow around within the IDE, or dock it to any of the dockable positions on the screen. The Total .NET Analyzer toolwindow behaves exactly the same as all built-in Visual Studio .NET toolwindows.

See also

  • How Total .NET Analyzer Integrates With Visual Studio .NET

  • Launching the Program

  • Toolbar Items

  • The Issues List


Toolbar Items

The main toolbar contains launch points for the program’s top-level functionality:

Figure 3.3 - The Total .NET Analyzer Toolbar

Action | Description
Analyze | Searches the solution for errors, suggestions, performance tips, and standards. See Performing Analysis for details.
Display Current Results Report | Saves the current contents of the list as an HTML page and displays the page in the Visual Studio .NET IDE. See Using the Results Report for details.
Show or Hide Group by | Shows or hides the Group by Box. When the Group by Box is displayed, you can drag column headings on it to create new groupings. See Sorting, Grouping, and Filtering the Results for details.
Expand All Groups | Expands all groups.
Collapse All Groups | Collapses all groups.
More Information | Shows more information on the rule that has focus in the toolwindow. The information is displayed as an HTML page in the Visual Studio .NET IDE. See More Information Report for details.
Rule Editor | Opens the Rule Editor. See Using the Rule Editor for details.
Help | Displays the Total .NET Analyzer help file.

Table 3.1 – Toolbar Buttons

See also

  • The Toolwindow

  • The Issues List


The Issues List

Total .NET Analyzer’s analysis results show in a grid view along with several columns of information:

Figure 3.4 – Column Headers

The following table explains each of the columns in the Issues list:

Column Name | Description
Name | The name of the rule.
Title | The title of the rule that has been violated.
Category | The type of issue that has been encountered.
Severity | The severity of the issue: high, medium, or low.
Notes | Notes regarding the issue.
Project | The name of the project where the issue was encountered.
File | The name of the file where the issue was encountered.
Namespace | The namespace where the issue was encountered.
Class | The class where the issue was encountered.
Method | The method where the issue was encountered.
Line | The line where the issue was encountered.
Char | The character position where the issue starts.
Line Preview | A preview of the line of code containing the issue.

Table 3.2 – Column Headers

Navigating From the Issues List

To find the code where an issue was found, simply click on the issue in the list and Total .NET Analyzer takes you to the appropriate code. This allows you to locate the issue and resolve issues quickly and easily.

Organizing the Issues List

When you are dealing with a large number analysis results in the toolwindow, it can be helpful to create different views of the data. You can drag and drop the columns, resize them, and even add or remove the columns from the list. See Customizing the Column Headers for more information.

Total .NET Analyzer also provides functionality for sorting, grouping, and filtering results.

Printing the Issues List

Total .NET Analyzer allows you to export the analysis results list to an HTML Page for viewing and printing. To do this, press the "Display Current Results Report" [image] button on the toolbar. This displays the current contents of the references list in an HTML window. For more information, see Using the Results Report.

See also

  • The Toolwindow


Using the Rule Editor

Total .NET Analyzer includes a Rule Editor, which allows you to control the analysis results that you see. The Rule Editor also allows you to set the category, severity, and add notes to individual analysis issues. Click the button on the toolbar: and the Rule Editor appears:

Figure 3.5 – Rule Editor

See also

  • Sorting, Grouping, and Filtering

  • Modifying Rules


Sorting, Grouping, and Filtering

The Rule Editor lists all of the rules that Total .NET Analyzer documents. Because this list is so long, it can be helpful to create different views of the data. Total .NET Analyzer provides functionality for sorting, grouping, and filtering the rules.

See also

  • Using the Rule Editor

  • Sorting

  • Grouping

  • Filtering


Sorting

To sort the results by column, click on the desired column header and the results are sorted in ascending order. Click on the column header again, and the results are sorted in descending order. The column that is sorted shows [image] or [image] in the column header, so that you can easily identify how the list is sorted.

See also

  • Sorting, Grouping, and Filtering

  • Using the Rule Editor


Grouping

The Rule Editor allows you to group by one or more columns to see related issues together. To group by a specific column, drag the column header onto the Group by box. The example below shows the list grouped by severity and category:

Figure 3.6 – Rule Editor Grouping

To remove the group, drag the column header from the Group By box back to the list.

See also

  • Sorting, Grouping, and Filtering

  • Using the Rule Editor


Filtering

The Rule Editor allows filtering, which lets you hide or show issues based on a condition you define. Note that filtering does not actually remove issues from the list, it just hides them until you remove the filter.

To add a filter, click on the [image] button on the header of the column that you want to filter, and a menu will drop down:

Figure 3.7 – Rule Editor Filtering

The drop down contains the following choices:

Filter Type | Description
All | Shows all values.
Custom | Displays the Custom Filter Dialog, which allows you to add fields, conditions and criteria for the filter.
Value List | Allows you to filter by a single value.

Table 3.3 – Filter Options

When a column is filtered, the [image] icon becomes blue so you can easily identify what is included in your filter. Additionally, the Rule Editor shows the filter at the bottom of the form:

You can remove the filter by clicking on the [image] button.

See also

  • Sorting, Grouping, and Filtering

  • Using the Rule Editor


Modifying Rules

Enabling and Disabling Rules

To exclude a rule from analysis, locate the desired rule in the list, and change the Enabled column to False. You can re-enable the rule at any time by returning its value to True.

Changing Rule Category

To change the category of a rule, locate the desired rule in the list, and change the value in the Category column. Available categories include:

  • Performance

  • VB Legacy

  • Error

  • Standard

  • Suggestion

  • Unused

Changing Rule Severity

You can set the severity of a rule to High, Medium, or Low by changing the value in the Severity column.

Adding Notes

To add notes to a rule, locate the desired rule in the list and click in the Notes column. The column will be expanded to show a field where you can enter your notes:

Figure 3.8 – Rule Notes Field

When you add a note to a rule, the icon displayed in the field changes to a capital A so you can easily identify which rules have notes: .

See also

  • Using the Rule Editor


Performing Analysis

To perform analysis on a solution, simply open the solution and press the Analyze button on the Total .NET Analyzer toolbar:

Figure 3.9 - Visual Studio .NET Toolbar

The first time you analyze the solution, the code parser is initialized and it reads all code files in your solution. After this first analysis, the parser runs in the background for your entire .NET session, gathering information as you type. Because of this parsing technology, Total .NET Analyzer is able to analyze your projects very quickly. See Understanding the Parser for more information.

As analysis runs, the status bar at the bottom of the .NET IDE shows its progress:

Figure 3.10 – .NET Status Bar

When analysis completes, the results appear in the Issues List:

Figure 3.11 - Total .NET Analyzer Results

See also

  • How Total .NET Analyzer Integrates With Visual Studio .NET

  • Launching the Program

  • Navigating

  • More Information Report

  • Sorting, Grouping, and Filtering the Results

  • Using the Results Report


Navigating

After you run analysis, the results appear in the Issues List:

Figure 4.1 – Total .NET Analyzer Results

To find the code where an issue was found, simply click on the issue in the list and Total .NET Analyzer takes you to the appropriate code. This allows you to locate the issue and resolve issues quickly and easily.

See also

  • Performing Analysis


More Information Report

Basic information about each result issue shows in the Name and the Title columns of the Issues List. To learn more about an issue, click the "More Information" button [image] on the toolbar, and an HTML page opens with additional information:

Figure 4.2 – More Information Report

See also

  • Performing Analysis


Sorting, Grouping, and Filtering the Results

When you are dealing with a large number of results in the list, it can be helpful to create different views of the data. Total .NET Analyzer provides basic functionality for sorting, grouping, and filtering analysis results.

See also

  • The Issues List


Sorting

To sort the results by column, click on the desired column header and the results are sorted in ascending order. Click on the column header again, and the results are sorted in descending order. The column that is sorted shows [image] or [image] in the column header, so that you can easily identify how the list is sorted.

See also

  • The Issues List

  • Sorting, Grouping, and Filtering the Results


Grouping

The Issues List allows you to group by one or more columns to see related issues together. To use grouping, you must have the Group By Box visible. To do this, press the "Show or Hide Group Box" [image] button on the toolbar. The Group By Box is drawn above the Issues List.

To group by a specific column, drag the column header onto the Group by box. The example below shows the list grouped by severity and category:

Figure 4.3 – Issues List Grouping

Note that the total count of issues appears in the toolwindow’s title bar, and the count of issues in each group appears beside the group name.

To remove the group, drag the column header from the Group By box back to the list.

See also

  • The Issues List

  • Sorting, Grouping, and Filtering the Results


Filtering

The Issues List allows filtering, which lets you hide or show issues based on a condition you define. Note that filtering does not actually remove issues from the list, it just hides them until you remove the filter.

To add a filter, click on the [image] button on the header of the column that you want to filter, and a menu will drop down:

Figure 4.4 – Issues List Filtering

The drop down contains the following choices:

Filter Type | Description
All | Shows all values.
Custom | Displays the Custom Filter Dialog, which allows you to add fields, conditions and criteria for the filter.
Value List | Allows you to filter by a single value.

Table 4.1 – Filter Options

When a column is filtered, the [image] icon becomes blue so you can easily identify what is included in your filter. Additionally, the Rule Editor shows the filter at the bottom of the form:

You can remove the filter by clicking on the [image] button.

See also

  • The Issues List

  • Sorting, Grouping, and Filtering the Results


Customizing the Column Headers

Because the toolwindow displays so much information, you may find it cumbersome to scroll horizontally to view the information that you need. For this reason, the column headers can be customized—you can resize, move, and hide/show columns based on your needs.

Resizing Columns

To resize a column, click on the right edge of the column header and drag it left or right:

Moving Columns

To move a column, click on the column and drag it to the desired location:

Hiding/Showing Columns

To hide or show a column, right-click on any column header, and choose "Runtime Column Customization" from the menu. The Customization popup appears, displaying all available column headers. To add a column to the toolwindow, drag the desired column from the Customization popup to the desired location. To remove a column from the toolwindow, drag the column from the toolwindow to the Customization popup:

See also

  • The Issues List

  • Sorting, Grouping, and Filtering the Results


Using the Results Report

Total .NET Analyzer allows you to generate a Results Report for viewing and printing. To generate a report for the list currently showing in the Issues List (including any sorting, grouping, and filtering or customization that you have applied), press the Results Report icon [image] on the toolbar, and an HTML window appears showing the current list:

Figure 4.5 – The Results Report

To print the report, press the Print button [image] on the toolbar.

See also

  • The Issues List


Troubleshooting

This section contains help on common problems and how to resolve them.

Total .NET Analyzer does not appear on the Visual Studio .NET Tools menu.

This happens if the Total .NET Analyzer add-in is not loaded. To fix this, open the Visual Studio .NET add-in manager and load Total .NET Analyzer. For more information, see Launching the Program.

The Total .NET Analyzer Toolwindow does not appear.

If the toolwindow does not appear when you start Visual Studio, you can re-display it by selecting Tools, FMS Total .NET Suite, Total .NET Analyzer, Show Toolwindow from the Visual Studio .NET menu.

There is no toolbar on the Total .NET Analyzer toolwindow.

If you have inadvertently turned off the toolbar, you can show it by selecting Tools, FMS Total .NET Suite, Total .NET Analyzer, Customize from the Visual Studio .NET menu.

You receive an application error when you press Analyze.

If Total .NET Analyzer encounters an error condition, it generally cannot display a list of results. When an error condition occurs, the Visual Studio .NET status bar updates with information about the error.

Below is a list of common error conditions and how to solve them:

Error Condition

Description

Parsing solution. Please wait.

The parser is still parsing your project or solution. Please wait for parsing to complete.

No solution open to parse.

You are trying to invoke Total .NET Analyzer and there is no open solution.

Parser encountered errors. Please ensure solution can be compiled.

The parser cannot finish for one of two reasons:

  1. Your solution or project contains build errors. Fix the errors, build the project, and then try again.

  2. Your solution or project is buildable, but the parser has encountered an internal error while parsing your code. Report this error to FMS Technical Support.

See also

  • Support Resources

  • Web Site Support

  • Contacting Technical Support


Support Resources

If the troubleshooting tips do not resolve the issue you are encountering, there are many resources available. Please check the following:

Readme File

Check the README file for the latest product information. The README file can be opened from the directory where you installed the product.

Product Documentation

We’ve spent a great deal of care and time to make sure the Total .NET Analyzer User Guide is very detailed. Check the Table of Contents and Index for your question, and then read the appropriate pages.

See also

  • Troubleshooting

  • Web Site Support

  • Contacting Technical Support


Web Site Support

The FMS web site contains extensive resources to help you use our products better. Resources include product updates, frequently asked questions (also known as FAQs), newsgroups, information on new versions, betas, and other resources.

Home Page

The FMS home page is located at:

www.fmsinc.com

News and important announcements are posted here.

Support Site

The main support page is located at:

www.fmsinc.com/support

From this page, you can quickly locate the other support resources.

Product Updates

FMS takes product quality very seriously. When bugs are reported and we can fix them, we make the updates available on our web site. If you are encountering problems with our product, make sure you are using the latest version.

Frequently Asked Questions (FAQs)

Common questions and additional information beyond what is in the manual are often available from our FAQs.

Newsgroups

FMS also has general and product specific newsgroups. Connect with FMS Technical Support and other users there. Share your experiences, learn from others, and ask your questions in our virtual community:

www.fmsinc.com/support/newsgrp.htm

Or visit our web site for additional information.

Microsoft Patches

Our support site also includes links to Microsoft patches that are related to our products. Make sure you’re using the latest versions by checking here or visiting the Microsoft site.

See also

  • Troubleshooting

  • Support Resources

  • Contacting Technical Support


Contacting Technical Support

Contacting Technical Support

If the troubleshooting suggestions and other support resources fail to resolve your problem, please contact our technical support department. We are very interested in making sure you are satisfied with our product.

Registering Your Software

Please register your copy of Total .NET Analyzer. You must be registered to receive technical support. Registration also entitles you to free product updates, notifications, information about upcoming products, and beta invitations. You can even receive free email notification of our latest news.

You may register your software by mailing in your registration card or directly from our web site.

Contact Us

The best way to contact us is via email at:

Support@fmsinc.com

Please provide detailed information on the problem. This should include the name of the product, version, your operating system, and the specific problem. If the product generated an error file, please submit that as well.

With email, technical support issues can be more accurately resolved and tracked in our internal technical support system. It also gives us more time to understand the entire problem and allows our technical support staff to contact the developers with the entire story when necessary. Please bear in mind that a unique issue may involve meetings between the technical support staff and product developers, so your patience is appreciated.

Microsoft Technical Support

FMS only provides technical support for its products. If you have questions regarding Microsoft products, please contact Microsoft technical support.

See also

  • Troubleshooting

  • Support Resources

  • Web Site Support


Acknowledgments

We would like to thank the entire community of developers who have supported FMS over the years. The fact that our products are successful is due to the support and feedback our customers provide, and we truly appreciate the people who trust our work to solve their development problems.

Thanks go to our Beta testers for their diligence and feedback, and to those outside FMS who provided invaluable feedback during the design of Total .NET Analyzer. At Microsoft, we would like to thank all those on the .NET team who helped with technical support along the way.

Many people at FMS, Inc. contributed to the creation of Total .NET Analyzer. They include:

  • Development: Scott Ellis and Ramesh Shrivastav.

  • Design: Luke Chung and Dan Haught.

  • Documentation: Scott Ellis and Molly Pell.

  • Quality Assurance/Support: Rick Briganti, Troy Munford, and Molly Pell.

  • Marketing and Production: Lisa Fortune and Mellenie Runion.


License Agreement

PLEASE READ THE FMS SOFTWARE LICENSE AGREEMENT. YOU MUST AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT BEFORE YOU CAN INSTALL OR USE THE SOFTWARE.

IF YOU DO NOT ACCEPT THE TERMS OF THE LICENSE AGREEMENT FOR THIS OR ANY FMS SOFTWARE PRODUCT, YOU MAY NOT INSTALL OR USE THE SOFTWARE. YOU SHOULD PROMPTLY RETURN ANY FMS SOFTWARE PRODUCT FOR WHICH YOU ARE UNWILLING OR UNABLE TO AGREE TO THE TERMS OF THE FMS SOFTWARE LICENSE AGREEMENT FOR A REFUND OF THE PURCHASE PRICE.

Ownership of the Software

The enclosed software program ("SOFTWARE") and the accompanying written materials are owned by FMS, Inc. or its suppliers and are protected by United States copyright laws, by laws of other nations, and by international treaties. You must treat the SOFTWARE like any other copyrighted material except that you may make one copy of the SOFTWARE solely for backup or archival purpose, and you may transfer the SOFTWARE to a permanent storage device.

Grant of License

The SOFTWARE is available in a single user license version. Additional licenses may be purchased by contacting FMS, Inc.

For each license purchased, you are permitted (either as an individual, or if an entity, one designated individual) to use the program on one computer at a time.

Restrictions

You may not reverse engineer, de-compile, or disassemble this SOFTWARE. The SOFTWARE is licensed as a single product and may not be separated by use for more than one user at a time. You may not rent or lease the SOFTWARE. You may not transfer any of your rights under the FMS Software License Agreement to other individuals or entities. Without prejudice to any other rights, FMS may terminate this FMS Software License Agreement at any time if you fail to comply with any of its terms. In such an event of termination, you must destroy and stop using all affected SOFTWARE copies.

Transfer of License

If your SOFTWARE is marked "NOT FOR RESALE," you may not sell or resell the SOFTWARE, nor may you transfer the FMS Software license.

If your SOFTWARE is not marked "NOT FOR RESALE," you may transfer your license of the SOFTWARE to another user or entity provided that

  1. The recipient agrees to all terms of the FMS Software License Agreement.

  2. You provide all original materials including software disks or compact disks, and any other part of the SOFTWARE’s physical distribution to the recipient.

  3. You remove all installations of the SOFTWARE.

  4. You notify FMS, in writing, of the ownership transfer.

Limited Warranty

If you discover physical defects in the media on which this SOFTWARE is distributed, or in the related manual, FMS, Inc. will replace the media or manual at no charge to you, provided you return the item(s) within 60 days after purchase.

ALL IMPLIED WARRANTIES ON THE MEDIA AND MANUAL, INCLUDING IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE LIMITED TO SIXTY (60) DAYS FROM THE DATE OF PURCHASE OF THIS PRODUCT.

Although FMS, Inc. has tested this program and reviewed the documentation, FMS, Inc. makes no warranty or representation, either expressed or implied, with respect to this SOFTWARE, its quality, performance, merchantability, or fitness for a particular purpose. As a result, this SOFTWARE is licensed "AS-IS", and you are assuming the entire risk as to its quality and performance.

IN NO EVENT WILL FMS, INC. BE LIABLE FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES RESULTING FROM THE USE, OR INABILITY TO USE THIS SOFTWARE OR ITS DOCUMENTATION. THE WARRANTY AND REMEDIES SET FORTH IN THIS LIMITED WARRANTY ARE EXCLUSIVE AND IN LIEU OF ALL OTHERS, ORAL OR WRITTEN, EXPRESSED OR IMPLIED.

Some states do not allow the exclusion or limitation of implied warrantees or liability for incidental or consequential damages, so the above limitations or exclusions may not apply to you. This warranty gives you specific legal rights; you may also have other rights that vary from state to state.

U.S. Government Restricted Rights

The SOFTWARE and documentation are provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c) (1) (ii) of the Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software - Restricted Rights at 48 CFR 52.227-19, as applicable.

Manufacturer is FMS Inc., Vienna, Virginia.
Printed in the USA.

Total .NET Analyzer is copyright Ó 1993-2002 by Financial Modeling Specialists, Inc.
All rights reserved.
Microsoft, Windows, Visual Studio .NET, Visual Basic, C#, and VB are registered trademarks of Microsoft Corporation.
All other trademarks are trademarks of their respective owners.